
Redmine - Defect #9562

Cannot login to my Redmine installation

2011-11-13 22:56 - Jake Booher

Status: Closed Start date: 2011-11-13

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.2

Description

When i try to login to my redmine installation it gives me a 500 error page.

My Ruby/ RaR Information:

Ruby version 1.8.7 (x86_64-linux)

RubyGems version 1.4.2

Rack version 1.1.1

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Edge Rails revision unknown

Application root /home/phprpg/rails_apps/redmine

Environment production

Database adapter mysql

Database schema version 20110511000000

MySQL Version: 5.0.92

Related issues:

Is duplicate of Redmine - Defect #7857: A NoMethodError occurred in account#l... Closed 2011-03-14

History

#1 - 2011-11-14 09:18 - Etienne Massip

Please check you log file.

#2 - 2011-11-14 13:57 - Jake Booher

It contained the following:

Processing AccountController#login (for 75.93.182.126 at 2011-11-13 16:27:26) [POST]

Parameters: {"back_url"=>"http%3A%2F%2Fphprpg.net%3A12001%2F", "action"=>"login",

"authenticity_token"=>"txNBg1JlQ/tADI1QBwm6IRwZqvbpG/rqZUAUUYFo24E=", "username"=>"admin", "controller"=>"account",

"password"=>"[FILTERED]", "login"=>"Login »"}

NoMethodError (undefined method `destroy' for {}:Hash):

app/controllers/application_controller.rb:92:in `logged_user='

app/controllers/account_controller.rb:203:in `successful_authentication'

app/controllers/account_controller.rb:155:in `password_authentication'

app/controllers/account_controller.rb:142:in `authenticate_user'

app/controllers/account_controller.rb:30:in `login'

Rendering /home/phprpg/rails_apps/redmine/public/500.html (500 Internal Server Error)

#3 - 2011-11-14 16:14 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks, this is an issue which triggers only when updating Redmine, duplicate of #7857, you'll find a patch over there.
#4 - 2011-11-14 16:16 - Etienne Massip

Also note that, according to last post in #7857, using Rails 2.3.14 (which is supported by Redmine) seems to solve the issue.
